<?php
define('ROOT','../');
define('GCMS',true);
define('SYS', 'files');
require_once (ROOT.'system/power.php');
$diz -> head('Форма загрузки');
$diz -> title('<b>Форма загрузки</b>');
if ($ya['balls']>=$nastr['zc']) {
if($aut == true){
if (isset($_POST['submit'])) {
if(mb_strlen($func->delprobel($_POST['info'])) > 12){
if ($error) {
$msg .= '<div class="error">'.$error.'</div>';
} else {
$newpath = trim('files/');
$count = $false = 0;
		define('TIMESTART', microtime(true));
		
		for ($i = 0; $i < count($_FILES['file']['name']); $i ++) {
			
			if (empty($_FILES['file']['name'][$i])) {
				continue;
			}
		
			$name = $_FILES['file']['name'][$i];
			$ex = pathinfo($name);
			$ext = strtolower($ex['extension']);
            $array = array('1','2','3','4','5','6','7','q','w','f','b','n','m','o','f','d','a','z','e','8','9','0');
$l = 0;
$cod = '';
while ($l < 8) {
$cod .= $array[array_rand($array)];
++$l;
}
            $co = $db -> dbcount('COUNT(`id`)','load_files');
            $up = $co+1;
            $ima=''.$cod.''.$up.'.'.$ext.'';
			$to = ''.$newpath . $ima;
			$to2 = ''.$newpath . $name;
			if ($ext == 'php' ||  $ext == 'ini' ||  $ext == 'htaccess' || $ext == 'sql' ||  $ext == 'xhtml' || $ext == 'wml' || $ext == 'html' || $ext == 'php' || $ext == 'php3' || $ext == 'php4' || $ext == 'php5' || $ext == 'php6' || $ext == 'phtml' || $ext == 'cgi' || $ext == 'asp' || $ext == 'js' || $ext == 'phtm' || $ext == 'py' || $ext == 'pl') {
				$msg .= 'Файлы данного типо загружать запрещено!';
			} else {
					if (move_uploaded_file($_FILES['file']['tmp_name'][$i], $to)) {
						$uptime = filectime($to);
						
						$ex = pathinfo($to2);
						$ex = $ex['extension'];
						$infolder = dirname($to).'/';
						if(mb_strlen($func->delprobel($_POST['name'])) < 2){
						$name = str_replace('.'.$ex, '' ,basename($to2));
						if (strpos($name, '!') !== false) {
							$name = $func -> translate1($name);
						} else {
							$name = $func -> translate2($name);
						}
                        }else{
                        $name = $db->real_escape_string(shit($_POST['name']));   
                        }
						$info = $db->real_escape_string(shit($_POST['info']));
						$pass = $db->real_escape_string(shit($_POST['pass']));
                        $size=filesize($to);
                        $siz = (!empty($size)) ? abs(intval((int)$size)) : null;
$db -> query("INSERT INTO `obmen_files` SET `infolder`='".$to."', `user`='".$ya['id']."',`info`='".$info."',`name`='".$name."',`size`='".$siz."',`pass`='".$pass."', `dateupload`='".time()."'");
        		
						$count ++;
					
					} else {
						$false ++;
					}
	
				} 
			}
		
		if ($count == 0) {
		$msg .='<div class="fon">Произошла ошибка!</div>';
		} else {
		if($false==0){$msg .='<div class="fon">Файл был успешно загружен!</div>';}else{
			$msg .= '<div class="fon">При загрузке файла произошла ошибка!</div>';}
		
		}
	}
    }else{$msg .='<div class="fon">Описание файла не должно быть короче 12 символов!</div>';}
	$msg .= '<div class="levo"><a href="./upload.php">Форма загрузки</a></div>';
} else {
$msg.= '<form action="?" method="post" enctype="multipart/form-data">
<div class="fon"><small>Размер файла не должен превышать '.ini_get('upload_max_filesize').'!</small><br/>';
$rul = $db -> query("SELECT `pravobmen` as `1` FROM `nastroiki`")->fetch_assoc();
if($rul['1']!=''){
$msg.='<b>Правила обменника:</b></br>
'.$rul['1'].'<br/>';}
$msg .= '<b>Выберите файл:</b><br/>
	<input name="file[]" type="file"></br>
Название (необязательно):<br/>
<textarea name="name" rows="1" cols="25"></textarea><br/>
Описание (не менее 12 символов):<br/>
<textarea name="info" rows="3" cols="25"></textarea><br/>
Введите пароль(Если ненужно-оставьте пустым):<br/>
<input type="text" name="pass" maxlength="8"></textarea></br>
	<input type="submit" name="submit" value="Загрузить"/>
	</form></div>';
}
}else{header('location: '.ROOT.'aut.php');}

}else{
     $msg .= '<div class="fon">Вам недоступна данная операция!</div>';
}
$msg .= '<div class="levo">'.$diz -> img('back.png').'<a href="./index.php">Назад</a>';
$msg .= '</br>'.$diz -> img('home.png').'<a href="/index.php">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
?>